Snoze Developers
API referenceResources

Update

PATCH
/v1/workspaces/{workspaceId}/items/{itemId}
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
itemId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/string/items/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "0b6f2e6a-9f2c-4e7a-8d31-2c1e7a9f2c4e",    "workspaceId": "4b81aa0c-6d2f-4b19-9f0e-1a7c3d5e8b02",    "parentItemId": "d3a7f1b8-5c04-4e62-9a11-7b2e6c0d4f39",    "kind": "database",    "targetId": "9f2c1e7a-3b58-4d0c-8e27-6a1f9d4b3c85",    "title": "Launch tasks",    "icon": "rocket",    "color": "#2f6f4f",    "order": 0,    "archived": false,    "accessMode": "open",    "metadata": {},    "createdAt": "2026-07-01T09:12:44.000Z",    "updatedAt": "2026-07-14T16:03:10.000Z"  }}